com.jscape.inet.mft.management.descriptors

## Class LDAPAccessAuthenticationServiceDescriptor

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.ServiceDescriptor
    - - com.jscape.inet.mft.management.descriptors.AuthenticationServiceDescriptor
      - - com.jscape.inet.mft.management.descriptors.LDAPAccessAuthenticationServiceDescriptor

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class LDAPAccessAuthenticationServiceDescriptor
      extends AuthenticationServiceDescriptor

  LDAP access authentication service descriptor. The service described by this descriptor takes responsibility for authenticating incoming requests against LDAP system.
  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_PORT`
    `static long` | `DEFAULT_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LDAPAccessAuthenticationServiceDescriptor()` This constructor is used by serialization sub-system and is not intended to use directly in client code.
    `LDAPAccessAuthenticationServiceDescriptor(LDAPAccessAuthenticationServiceDescriptor that)`
    `LDAPAccessAuthenticationServiceDescriptor(java.lang.String host, int port, long connectionTimeoutMillis, java.lang.String userDNPattern, java.lang.String accountTemplate, com.jscape.inet.mft.subsystems.authentication.UsernameConversionType usernameConversionType, boolean useSsl, boolean emptyPasswordAllowed, com.jscape.inet.mft.LdapFailoverServerParameters[] failoverServers)` Creates a new descriptor instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `copy()`
    `java.lang.String` | `getAccountTemplate()` Returns the account template name.
    `long` | `getConnectionTimeoutMillis()` Returns connection timeout millis.
    `boolean` | `getEmptyPasswordAllowed()` Returns empty password allowed flag.
    `com.jscape.inet.mft.LdapFailoverServerParameters[]` | `getFailoverServers()` Returns failover servers parameters.
    `java.lang.String` | `getHost()` Returns LDAP server host/IP.
    `int` | `getPort()` Returns LDAP server port.
    `java.lang.String` | `getUserDNPattern()` Returns server access pattern.
    `com.jscape.inet.mft.subsystems.authentication.UsernameConversionType` | `getUsernameConversionType()`
    `boolean` | `getUseSsl()` Returns SSL usage flag.
    `void` | `setAccountTemplate(java.lang.String value)` Sets the account template name.
    `void` | `setConnectionTimeoutMillis(long value)` Sets connection timeout millis.
    `void` | `setEmptyPasswordAllowed(boolean value)` Sets empty password allowed flag.
    `void` | `setFailoverServers(com.jscape.inet.mft.LdapFailoverServerParameters[] value)` Sets failover servers parameters.
    `void` | `setHost(java.lang.String value)` Sets LDAP server host/IP
    `void` | `setPort(int value)` Sets LDAP server port.
    `void` | `setUserDNPattern(java.lang.String value)` Sets server access pattern.
    `void` | `setUsernameConversionType(com.jscape.inet.mft.subsystems.authentication.UsernameConversionType value)`
    `void` | `setUseSsl(boolean value)` Sets SSL usage flag.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_PORT

          public static final int DEFAULT_PORT

      See Also:
        Constant Field Values

    - #### DEFAULT_TIMEOUT

          public static final long DEFAULT_TIMEOUT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LDAPAccessAuthenticationServiceDescriptor

          public LDAPAccessAuthenticationServiceDescriptor(java.lang.String host,
                                                           int port,
                                                           long connectionTimeoutMillis,
                                                           java.lang.String userDNPattern,
                                                           java.lang.String accountTemplate,
                                                           com.jscape.inet.mft.subsystems.authentication.UsernameConversionType usernameConversionType,
                                                           boolean useSsl,
                                                           boolean emptyPasswordAllowed,
                                                           com.jscape.inet.mft.LdapFailoverServerParameters[] failoverServers)

      Creates a new descriptor instance.
      Parameters:
        `host` - LDAP server host/IP
        `port` - LDAP server port
        `connectionTimeoutMillis` - connection timeout millis
        `userDNPattern` - access pattern
        `accountTemplate` - account template name
        `useSsl` - SSL connection usage flag
        `emptyPasswordAllowed` - empty password allowed
        `failoverServers` - failover server parameters

    - #### LDAPAccessAuthenticationServiceDescriptor

          public LDAPAccessAuthenticationServiceDescriptor(LDAPAccessAuthenticationServiceDescriptor that)

    - #### LDAPAccessAuthenticationServiceDescriptor

          public LDAPAccessAuthenticationServiceDescriptor()

      This constructor is used by serialization sub-system and is not intended to use directly in client code.

  - ### Method Detail

    - #### getHost

          public java.lang.String getHost()

      Returns LDAP server host/IP.
      Returns:
        LDAP server host/IP

    - #### setHost

          public void setHost(java.lang.String value)

      Sets LDAP server host/IP
      Parameters:
        `value` - LDAP server host/IP

    - #### getPort

          public int getPort()

      Returns LDAP server port.
      Returns:
        LDAP server port

    - #### setPort

          public void setPort(int value)

      Sets LDAP server port.
      Parameters:
        `value` - LDAP server port

    - #### getConnectionTimeoutMillis

          public long getConnectionTimeoutMillis()

      Returns connection timeout millis.
      Returns:
        connection timeout millis

    - #### setConnectionTimeoutMillis

          public void setConnectionTimeoutMillis(long value)

      Sets connection timeout millis.
      Parameters:
        `value` - connection timeout millis

    - #### getUserDNPattern

          public java.lang.String getUserDNPattern()

      Returns server access pattern.
      Returns:
        server access pattern

    - #### setUserDNPattern

          public void setUserDNPattern(java.lang.String value)

      Sets server access pattern.
      Parameters:
        `value` - server access pattern

    - #### getAccountTemplate

          public java.lang.String getAccountTemplate()

      Returns the account template name.
      Returns:
        the account template name

    - #### setAccountTemplate

          public void setAccountTemplate(java.lang.String value)

      Sets the account template name.
      Parameters:
        `value` - the account template name

    - #### getUsernameConversionType

          public com.jscape.inet.mft.subsystems.authentication.UsernameConversionType getUsernameConversionType()

    - #### setUsernameConversionType

          public void setUsernameConversionType(com.jscape.inet.mft.subsystems.authentication.UsernameConversionType value)

    - #### getUseSsl

          public boolean getUseSsl()

      Returns SSL usage flag.
      Returns:
        `true` if SSL conection should be used `false` otherwise

    - #### setUseSsl

          public void setUseSsl(boolean value)

      Sets SSL usage flag.
      Parameters:
        `value` - if `true` SSL connection will be used

    - #### getEmptyPasswordAllowed

          public boolean getEmptyPasswordAllowed()

      Returns empty password allowed flag.
      Returns:
        `true` if empty password is allowed; `false` otherwise

    - #### setEmptyPasswordAllowed

          public void setEmptyPasswordAllowed(boolean value)

      Sets empty password allowed flag.
      Parameters:
        `value` - if `true` the empty password will be allowed due authentication

    - #### getFailoverServers

          public com.jscape.inet.mft.LdapFailoverServerParameters[] getFailoverServers()

      Returns failover servers parameters.
      Returns:
        failover servers parameters

    - #### setFailoverServers

          public void setFailoverServers(com.jscape.inet.mft.LdapFailoverServerParameters[] value)

      Sets failover servers parameters.
      Parameters:
        `value` - failover server parameters

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Advanced Systems Concepts Inc. 1999-2021. All Rights Reserved